Bug 1294376 - Two finger scroll feels lagging when using Gnome on Wayland
Two finger scroll feels lagging when using Gnome on Wayland
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-27 15:37 EST by Pavel Sklenak
Modified: 2016-12-20 12:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:25:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
device details (evemu-describe, xinput list-props) (5.26 KB, text/plain)
2015-12-27 15:37 EST, Pavel Sklenak
no flags Details

  None (edit)
Description Pavel Sklenak 2015-12-27 15:37:51 EST
Created attachment 1109884 [details]
device details (evemu-describe, xinput list-props)

Two finger scroll provides immediate response with Gnome on X11.
On Wayland there is a kind of an initial lag before the actual scrolling starts. 

I like much more the X behavior.

I am using libinput 1.1.4-1-fc23.
Comment 1 Pavel Sklenak 2015-12-27 16:00:32 EST
Let me add my use case:

I read a webpage and scroll as I read so that the text keeps about at the same position on the screen.

Hope it makes it clearer about what I mean. Thank you for your feedback.
Comment 2 Peter Hutterer 2016-01-03 22:02:46 EST
measured in mm, how far do you think that dead zone is? I don't think that's a libinput bug, we have a dead zone to distinguish between scroll and gestures, but you should see the same zone on both.
Comment 3 Pavel Sklenak 2016-01-04 05:36:29 EST
I am not sure, does acceleration/deceleration apply to scrolling too? 

The pointer speed can be adjusted in preferences and the same setting works fine in both X11/wayland. Difference is in the scrolling behavior. The scrolling on wayland is visually much faster. Perhaps that's the reason why it feels lagging when I try to scroll along with reading, thus making even smaller movements with my fingers.
Comment 4 Peter Hutterer 2016-01-11 22:57:49 EST
I'm punting this to gtk, I'm pretty sure that's the best component to handle this. The cause of this is that we're using slightly different coordinate systems in wayland vs X for scrolling. In X, it's effectively in "scroll units" and it's up to the client to interpret those. In wayland, the scroll motion is in the same coordinate system as the pointer movement. I think this is simply something gtk/gdk needs to handle depending on the backend.
Comment 5 Fedora End Of Life 2016-11-24 09:33:04 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 12:25:52 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.